Bug 250658 - when lvchange fails on an active mirror, the error code should be non zero
Summary: when lvchange fails on an active mirror, the error code should be non zero
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: lvm2   
(Show other bugs)
Version: 5.0
Hardware: All
OS: Linux
low
low
Target Milestone: ---
: ---
Assignee: Milan Broz
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-02 19:03 UTC by Corey Marthaler
Modified: 2013-03-01 04:05 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 21:47:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:0179 normal SHIPPED_LIVE lvm2 bug-fix and enhancement update 2009-01-20 16:05:45 UTC

Description Corey Marthaler 2007-08-02 19:03:08 UTC
Description of problem:
[root@link-08 ~]# lvchange -pr mirror_1_3859/mirror_1_38590
  Cannot change permissions of mirror "mirror_1_38590" while active.
[root@link-08 ~]# echo $?
0


Version-Release number of selected component (if applicable):
lvm2-2.02.27-1.el4

Comment 1 Corey Marthaler 2007-08-15 13:34:27 UTC
This should probably be an lvm2 bug, not lvm2-cluster.

Comment 2 Milan Broz 2008-06-17 14:07:04 UTC
And that's only for cluster mirror, local mirror works fine...

Comment 4 RHEL Product and Program Management 2008-07-31 13:20:40 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 5 Milan Broz 2008-09-19 11:11:27 UTC
In lvm2-2.02.40-1.el5.

Comment 8 errata-xmlrpc 2009-01-20 21:47:03 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0179.html


Note You need to log in before you can comment on or make changes to this bug.